#!/bin/sh
#
# This file creates a w32 binary release
#
STRIP=i586-mingw32msvc-strip
#./mingw32-configure.sh
(cd .. ; make all)
VERSION=0.70
DDIR="`pwd`/Enigma-$VERSION"
SDIR=../
rm -rf $DDIR
#make install prefix="$DDIR"

mkdir $DDIR $DDIR/data $DDIR/data/gfx $DDIR/data/levels $DDIR/data/sound $DDIR/data/fonts
for folder in `(cd $SDIR/data/levels && ls -F) | grep / | grep -v CVS`; do mkdir $DDIR/data/levels/$folder; done
cp -p $SDIR/data/gfx/*.png $DDIR/data/gfx
cp -p $SDIR/data/gfx/enigma.pal $DDIR/data/gfx
cp -p $SDIR/data/levels/*.{png,txt,lua} $DDIR/data/levels
for folder in `(cd $SDIR/data/levels && ls -F)| grep / | grep -v CVS`;
do
   cp -p $SDIR/data/levels/$folder/*.{png,lua,txt} $DDIR/data/levels/$folder
done
cp -p $SDIR/data/fonts/*.png $SDIR/data/fonts/*.{bmf,txt} $DDIR/data/fonts
cp -p $SDIR/data/sound/*.{wav,s3m,xm} $DDIR/data/sound

perl ./nlcvt.pl unix2dos $SDIR/COPYING >$DDIR/COPYING.txt
perl ./nlcvt.pl unix2dos $SDIR/README >$DDIR/README.txt
perl ./nlcvt.pl unix2dos ./README-SDL.txt >$DDIR/README-SDL.txt
perl ./nlcvt.pl unix2dos $SDIR/AUTHORS >$DDIR/AUTHORS.txt
perl ./nlcvt.pl unix2dos $SDIR/doc/CREATING-LEVELS >$DDIR/CREATING-LEVELS.txt

cp -p $SDIR/data/*.lua $DDIR/data/
cp -p $SDIR/src/enigma.exe $DDIR/enigma.exe
cp *.dll $DDIR/
$STRIP "$DDIR/enigma.exe"
rm -f enigma-w32-$VERSION.zip
zip -r enigma-w32-$VERSION.zip "Enigma-$VERSION"
rm -rf $DDIR
